LibreOffice: DictionaryList Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

List of all members
DictionaryList Service Referencepublished

is the list of personal dictionaries. More...

`import"DictionaryList.idl";`

Inheritance diagram for DictionaryList:

## Additional Inherited Members
Public Member Functions inherited from XSearchableDictionaryList
com::sun::star::linguistic2::XDictionaryEntry | queryDictionaryEntry ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] boolean bSearchPosDics, [in] boolean bSpellEntry)
| looks for an entry for a given word in the list of dictionaries. More...
Public Member Functions inherited from XDictionaryList
short | getCount ()
sequence< com::sun::star::linguistic2::XDictionary > | getDictionaries ()
com::sun::star::linguistic2::XDictionary | getDictionaryByName ([in] string aDictionaryName)
| searches the list for a dictionary with a given name. More...
boolean | addDictionary ([in] com::sun::star::linguistic2::XDictionary xDictionary)
| adds a dictionary to the list. More...
boolean | removeDictionary ([in] com::sun::star::linguistic2::XDictionary xDictionary)
| removes a single dictionary from the list. More...
boolean | addDictionaryListEventListener ([in] com::sun::star::linguistic2::XDictionaryListEventListener xListener, [in] boolean bReceiveVerbose)
| adds an entry to the list of dictionary-list event listeners. More...
boolean | removeDictionaryListEventListener ([in] com::sun::star::linguistic2::XDictionaryListEventListener xListener)
| removes an entry from the list of dictionary-list event listeners. More...
short | beginCollectEvents ()
| increases request level for event buffering by one. More...
short | endCollectEvents ()
| flushes the event buffer and decreases the request level for event buffering by one. More...
short | flushEvents ()
| notifies the listeners of all buffered events and then clears that buffer. More...
com::sun::star::linguistic2::XDictionary | createDictionary ([in] string aName, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::linguistic2::DictionaryType eDicType, [in] string aURL)
| creates a new dictionary. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the list of personal dictionaries.

The active dictionaries of this list will be used for spell checking and hyphenation.

See also
  com::sun::star::linguistic2::XDictionary
  com::sun::star::linguistic2::XDictionaryList
  com::sun::star::linguistic2::XSearchableDictionaryList

Developers Guide
  OfficeDev - Linguistics

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/DictionaryList.idl